Loading...
Searching...
No Matches
Types
Globus XIO » Globus XIO File Driver

Types. More...

## Macros

#define | GLOBUS_XIO_FILE_INVALID_HANDLE

## Enumerations

enum | globus_xio_file_flag_t { GLOBUS_XIO_FILE_CREAT = O_CREAT , GLOBUS_XIO_FILE_EXCL = O_EXCL , GLOBUS_XIO_FILE_RDONLY = O_RDONLY , GLOBUS_XIO_FILE_WRONLY = O_WRONLY , GLOBUS_XIO_FILE_RDWR = O_RDWR , GLOBUS_XIO_FILE_TRUNC = O_TRUNC , GLOBUS_XIO_FILE_APPEND = O_APPEND , GLOBUS_XIO_FILE_BINARY = 0 , GLOBUS_XIO_FILE_TEXT = 0 }

enum

globus_xio_file_mode_t {
GLOBUS_XIO_FILE_IRWXU = S_IRWXU , GLOBUS_XIO_FILE_IRUSR = S_IRUSR , GLOBUS_XIO_FILE_IWUSR = S_IWUSR , GLOBUS_XIO_FILE_IXUSR = S_IXUSR ,
GLOBUS_XIO_FILE_IRWXO = S_IRWXO , GLOBUS_XIO_FILE_IROTH = S_IROTH , GLOBUS_XIO_FILE_IWOTH = S_IWOTH , GLOBUS_XIO_FILE_IXOTH = S_IXOTH ,
GLOBUS_XIO_FILE_IRWXG = S_IRWXG , GLOBUS_XIO_FILE_IRGRP = S_IRGRP , GLOBUS_XIO_FILE_IWGRP = S_IWGRP , GLOBUS_XIO_FILE_IXGRP = S_IXGRP
}

enum | globus_xio_file_whence_t { GLOBUS_XIO_FILE_SEEK_SET = SEEK_SET , GLOBUS_XIO_FILE_SEEK_CUR = SEEK_CUR , GLOBUS_XIO_FILE_SEEK_END = SEEK_END }

## Detailed Description

Types.

## Macro Definition Documentation

## GLOBUS_XIO_FILE_INVALID_HANDLE

#define GLOBUS_XIO_FILE_INVALID_HANDLE

Invalid handle type

See also
  GLOBUS_XIO_FILE_SET_HANDLE

## Enumeration Type Documentation

## globus_xio_file_flag_t

enum globus_xio_file_flag_t

File driver open flags

OR together all the flags you want

See also
  GLOBUS_XIO_FILE_SET_FLAGS

Enumerator
GLOBUS_XIO_FILE_CREAT | Create a new file if it doesn't exist (default)
GLOBUS_XIO_FILE_EXCL | Fail if file already exists
GLOBUS_XIO_FILE_RDONLY | Open for read only
GLOBUS_XIO_FILE_WRONLY | Open for write only
GLOBUS_XIO_FILE_RDWR | Open for reading and writing (default)

GLOBUS_XIO_FILE_TRUNC

Truncate file

See also
  GLOBUS_XIO_FILE_SET_TRUNC_OFFSET

GLOBUS_XIO_FILE_APPEND | Open file for appending
GLOBUS_XIO_FILE_BINARY | File is binary (default)
GLOBUS_XIO_FILE_TEXT | File is text

## globus_xio_file_mode_t

enum globus_xio_file_mode_t

File driver create mode

OR these modes together to get the mode you want.

See also
  GLOBUS_XIO_FILE_SET_MODE

NOTE: for Win32, you only have a choice between read-only and read-write. If the chosen mode does not specify writing, the file will be read only

Enumerator
GLOBUS_XIO_FILE_IRWXU | User read, write, and execute
GLOBUS_XIO_FILE_IRUSR | User read
GLOBUS_XIO_FILE_IWUSR | User write
GLOBUS_XIO_FILE_IXUSR | User execute
GLOBUS_XIO_FILE_IRWXO | Others read, write, and execute
GLOBUS_XIO_FILE_IROTH | Others read
GLOBUS_XIO_FILE_IWOTH | Others write
GLOBUS_XIO_FILE_IXOTH | Others execute
GLOBUS_XIO_FILE_IRWXG | Group read, write, and execute
GLOBUS_XIO_FILE_IRGRP | Group read
GLOBUS_XIO_FILE_IWGRP | Group write
GLOBUS_XIO_FILE_IXGRP | Group execute

## globus_xio_file_whence_t

enum globus_xio_file_whence_t

File driver seek options

See also
  GLOBUS_XIO_FILE_SEEK

Enumerator
GLOBUS_XIO_FILE_SEEK_SET | set the file pointer at the specified offset
GLOBUS_XIO_FILE_SEEK_CUR | set the file pointer at current position + offset
GLOBUS_XIO_FILE_SEEK_END | set the file pointer at size of file + offset